﻿angular.module("umbraco")
    .controller("memberExport.deleteController",
    function ($scope, memberExportBackofficeResources, treeService, navigationService) {
      
        $scope.performDelete = function () {

            //mark it for deletion (used in the UI)
            $scope.currentNode.loading = true;

            treeService.removeNode($scope.currentNode);

            memberExportBackofficeResources.deleteTreeNodeById($scope.currentNode.id).then(function () {
                $scope.currentNode.loading = false;

                navigationService.hideMenu();
            });

        };

        $scope.cancel = function () {
            navigationService.hideDialog();
        };
    });

