﻿angular.module("umbraco.directives")
    .directive('memberexportLicenseinfo', function (memberExportBackofficeResources) {
        return {
            transclude: true,
            restrict: 'E',
            replace: true,
            link: function (scope, element) {
                memberExportBackofficeResources.getLicenseInfo().then(function (res) {
                    if (res.data.licenseError === true) {
                        element.html('<div class="alert alert-error seocheckerLicenseInfo">' + res.data.licenseMessage + '</div>');
                    }
                    if (res.data.trialLicense === true) {
                        element.html('<div class="alert alert-warning seocheckerLicenseInfo">' + res.data.licenseMessage + '</div>');
                    }
                });
            }
        };
    });