﻿angular.module("umbraco")
    .controller("memberExport.orderbyController",
        function ($scope,localizationService) {

            $scope.initialize = function() {
                localizationService.localize('template_ascending').then(function (value) {
                    $scope.ascendingCaption = value;
                });

                localizationService.localize('template_descending').then(function (value) {
                    $scope.descendingCaption = value;
                });
            }


            $scope.orderByDirection = function() {
                if ($scope.model.value.sortDirection === 'desc') {
                    return $scope.descendingCaption;
                } else {
                    return $scope.ascendingCaption;
                }
            }

            $scope.swapOrderByDirection = function() {
                if ($scope.model.value.sortDirection === 'desc') {
                    $scope.model.value.sortDirection = 'asc';
                } else {
                    $scope.model.value.sortDirection = 'desc';
                }
            }

            $scope.initialize();
        });